<?php
require_once './Control/ControlMedia.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (isset($mediapk))
{
    $pk = $mediapk;
}
$controlMedia = new ControlMedia();
if ($acao == 'inserir')
{
	$media = new Media();
} else
{
	$media = $controlMedia->pegarUmMedia($pk);
}
if ($acao != 'excluir')
{
    $media->lang = $lang;
    $media->setGalmedia($galmediaid);
    $media->sNome(stripslashes($mediatxtNome));
    $media->sDescricao(stripslashes($mediatxtDescricao));
    $media->setValor(stripslashes($mediatxtValor));
    $media->setHabilitado(stripslashes($mediacbHabilitado));
    //Definir Foto
    /*if ((isset($fotoupFoto)) and ($fotoupFoto != 'null'))
    {   
        Utilidades::deletarAquivo($foto->getFoto());
        Utilidades::deletarAquivo($foto->getFotoq());
        $nomeArquivo = md5(uniqid(time())) . $fotoupFoto[0];
        copy('./upload_temp/' . $fotoupFoto[0], './fotos/fotos/' . $nomeArquivo);
        copy('./upload_temp/thumbnails/' . $fotoupFoto[0], './fotos/fotos/thumbnails/' . $nomeArquivo);
        $foto->setFotoq('./fotos/fotos/' . $nomeArquivo);
        $foto->setFoto('./fotos/fotos/thumbnails/' . $nomeArquivo);
        Utilidades::deletarAquivo('./upload_temp/' . $fotoupFoto[0]);
        Utilidades::deletarAquivo('./upload_temp/thumbnails/' . $fotoupFoto[0]);
    }*/
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlMedia->salvarMedia($media);
                    break;
            case 'inserir':
                    $retorno = $controlMedia->salvarMedia($media);
                    $acao = 'alterar';
                    $media->find(true);
                    $pk = $media->getMediaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#divMedia\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlMedia->excluirMedia($media);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#mediaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}
?>